# coding: utf-8
require File.expand_path('../lib/appril/version', __FILE__)

Gem::Specification.new do |spec|
  spec.name        = 'appril'
  spec.version     = Appril::VERSION
  spec.authors     = ['Slee Woo']
  spec.email       = ['mail@sleewoo.com']
  spec.summary     = [spec.name, spec.version]*'-',
  spec.description = 'Opinionated framework for building opinionated web applications'
  spec.homepage    = 'https://github.com/appril/ruby-server'
  spec.license     = 'MIT'

  spec.files = Dir['**/{*,.[a-z]*}'].reject {|e| e =~ /(gem|lock)\z/}
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.2'

  spec.add_runtime_dependency 'rocketio', '~> 0.4'
  spec.add_runtime_dependency 'tubesock', '~> 0.2'
end
